Categories
未分类

把 Postgresql 数据库内容从 10.xxx 升级到 11.2

我 Mac 本地的 psql version 不知道何时何因被升级到了 11.1_1。今天尝试使用的时候,提示: FATAL: database files are incompatible with server DETAIL: The data directory was initialized by PostgreSQL version 10.xxx, which is not compatible with this version 11.1_1 Google 了一下,找到这个命令可以用: brew postgresql-upgrade-database 运行过程中,会先下载老版的 10.xx 版本,然后再执行数据库的升级。到后面出现这个错误: ==> Moving postgresql data from /usr/local/var/postgres to /usr/local/var/postgres.old… … Error:…. Permission denied 看错误的提示,应该是/usr/local/var/目录的权限问题。执行 sudo chmod a+w […]